does not support debian v3 source formats

Reported by LI Daobing on 2008-11-03
64
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Launchpad itself
High
William Grant

Bug Description

when I upload a ubuntu source package with 3.0 (quilt) format, I recieved a reject email.

for more information for the 3.0 (quilt) format, check this: http://people.debian.org/~hertzog/dpkg-source.html

Celso Providelo (cprov) on 2008-11-03
Changed in soyuz:
importance: Undecided → Medium
milestone: none → pending
status: New → Triaged
Colin Watson (cjwatson) wrote :

Not specific to PPAs; Ubuntu doesn't support this at all for upload yet. For that matter, neither does Debian! This format is still somewhat experimental, although it's likely to become official in the next Debian release cycle; you shouldn't try to upload packages using it yet.

Changed in soyuz:
milestone: pending → none
importance: Medium → Wishlist
James Westby (james-w) wrote :

Hi,

There is likely to be a push to make this format default in Debian this
(Debian) cycle.

  http://lists.debian.org/debian-devel/2009/03/msg00348.html

DAK support for this is not done yet (though there are now patches
available):

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457345

Status of the effort is tracked at:

  http://wiki.debian.org/Projects/DebSrc3.0

This means that we could start seeing these packages come from
Debian as soon as the next couple of months. Therefore soyuz should
have a plan to support them, at least when syncing from Debian, if
not for direct upload at first.

It would be pretty terrible for Ubuntu if we were unable to sync packages
from Debian due to them switching the default format with soyuz support
in place.

Thanks,

James

William Grant (wgrant) wrote :

Debian has started uploading 3.0 source packages. I have support mostly done, but need to finish tests. I suspect this will need to be RC or CPed.

Changed in soyuz:
assignee: nobody → William Grant (wgrant)
status: Triaged → In Progress
Changed in soyuz:
importance: Low → Critical
Changed in soyuz:
importance: Critical → High
Ursula Junque (ursinha) wrote :

Landed db-devel r8631

tags: added: current-rollout-blocker
Changed in soyuz:
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Ursula Junque (ursinha) wrote :

Actually, the landing is related but doesn't fix the problem

Ursula Junque (ursinha) on 2009-11-03
tags: removed: current-rollout-blocker
William Grant (wgrant) wrote :

Fixed in devel r10048.

Changed in soyuz:
status: In Progress → Fix Committed
William Grant (wgrant) wrote :

Fix released in Launchpad 3.1.12, although it cannot be enabled before dpkg is upgraded on a few more machines.

Changed in soyuz:
status: Fix Committed → Fix Released

dpkg backport now on the necessary machines, I'll throw the switch soon.

William Grant (wgrant) wrote :

3.0 (quilt) and 3.0 (native) were enabled for Lucid yesterday, and everything appears to work. Upload away!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.